Home | All Classes | Grouped Classes | Index | Search

# Class CL_Label

Label component More...

Derived from: CL_Component
Derived by: none
Group: GUI (Controls)

#include <ClanLib/gui.h>

Construction:

CL_Label | Label Constructor

Attributes:

get_text | Returns the labeltext.
get_alignment | Returns the alignment setting. See set_alignment() for more info.
get_font | Returns the font the label uses.

Operations:

set_text | Sets the labeltext.
clear | Clears any label contents. Equivalent with setText("").
set_alignment | Sets the alignment of the label contents
set_font | Sets the font of the label.

Signals:

sig_font_change | Called after font is changed.

Detailed description:

!group=GUI/Controls! !header=gui.h!
Questions or comments, write to the ClanLib mailing list.